Bug 1417678 - FTBFS: normaliz-2.12.2-9.fc26
Summary: FTBFS: normaliz-2.12.2-9.fc26
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: normaliz
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mark Chappell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 16:07 UTC by Jonathan Wakely
Modified: 2017-04-20 12:01 UTC (History)
2 users (show)

Fixed In Version: normaliz-3.1.4-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-20 12:01:58 UTC
Type: Bug


Attachments (Terms of Use)
build.log from scratch build (14.74 KB, text/plain)
2017-01-30 16:07 UTC, Jonathan Wakely
no flags Details

Description Jonathan Wakely 2017-01-30 16:07:54 UTC
Created attachment 1245919 [details]
build.log from scratch build

In file included from /builddir/build/BUILD/Normaliz2.12/source/libnormaliz/libnormaliz-templated.cpp:32:0:
/builddir/build/BUILD/Normaliz2.12/source/libnormaliz/reduction.cpp: In constructor 'libnormaliz::Candidate<Integer>::Candidate(const std::vector<Integer>&, const std::vector<Integer>&, long int)':
/builddir/build/BUILD/Normaliz2.12/source/libnormaliz/reduction.cpp:37:16: error: expression cannot be used as a function
     sort_deg(sd);
                ^
/builddir/build/BUILD/Normaliz2.12/source/libnormaliz/reduction.cpp:38:19: error: expression cannot be used as a function
     reducible(true);
                   ^
/builddir/build/BUILD/Normaliz2.12/source/libnormaliz/reduction.cpp:39:29: error: expression cannot be used as a function
     original_generator(false);
                             ^

The code is invalid C++:

template<typename Integer>
Candidate<Integer>::Candidate(const vector<Integer>& v, const vector<Integer>& val, long sd){
    cand(v);
    values(val);
    sort_deg(sd);
    reducible(true);
    original_generator(false);
    // in_HB(false);   
}


It's trying to use a ctor-initializer-list but is totally bogus. It compiled with GCC 6 because that constructor is never used, so was not instantiated. With GCC 7 it gets diagnosed even though it's not used.

The latest upstream release does it correctly:

template<typename Integer>
Candidate<Integer>::Candidate(const vector<Integer>& v, const vector<Integer>& val, long sd)
:   cand(v),
    values(val),
    sort_deg(sd),
    reducible(true),
    original_generator(false)
{ }

The package needs to be patched to either do it like that, or just remove the constructor completely (since it apparently isn't used).

Comment 1 Jonathan Wakely 2017-01-30 16:39:26 UTC
Patched and successfully built (in the f26-boost tag for now).

Comment 2 Fedora End Of Life 2017-02-28 11:08:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Fedora Update System 2017-04-16 23:22:10 UTC
Macaulay2-1.9.2-1.fc26, Singular-4.1.0p2-1.fc26, arb-2.10.0-1.fc26, cbmc-5.7-1.fc26, coin-or-Cbc-2.9.8-3.fc26, coin-or-Osi-0.107.8-3.fc26, coin-or-SYMPHONY-5.6.14-3.fc26, coin-or-lemon-1.3.1-10.fc26, eclib-20170330-1.fc26, fflas-ffpack-2.2.2-5.fc26, flint-2.5.2-15.fc26, frobby-0.9.0-10.fc26, gap-pkg-float-0.7.5-2.fc26, giac-1.2.3-3.25.fc26, givaro-4.0.2-5.fc26, glpk-4.61-1.fc26, latte-integrale-1.7.3b-3.fc26, libfplll-5.0.3-1.fc26, libgap-4.8.6-1.fc26, linbox-1.4.2-7.fc26, normaliz-3.1.4-1.fc26, ntl-10.3.0-1.fc26, octave-4.2.1-2.fc26, openms-2.1.0-7.20170131gitbde813.fc26, polymake-3.1-2.fc26, pynac-0.7.3-1.fc26, python-cvxopt-1.1.9-4.fc26, sagemath-7.5.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4e8cf20cbb

Comment 4 Fedora Update System 2017-04-20 12:01:58 UTC
Macaulay2-1.9.2-1.fc26, Singular-4.1.0p2-1.fc26, arb-2.10.0-1.fc26, cbmc-5.7-1.fc26, coin-or-Cbc-2.9.8-3.fc26, coin-or-Osi-0.107.8-3.fc26, coin-or-SYMPHONY-5.6.14-3.fc26, coin-or-lemon-1.3.1-10.fc26, eclib-20170330-1.fc26, fflas-ffpack-2.2.2-5.fc26, flint-2.5.2-15.fc26, frobby-0.9.0-10.fc26, gap-pkg-float-0.7.5-2.fc26, giac-1.2.3-3.25.fc26, givaro-4.0.2-5.fc26, glpk-4.61-1.fc26, latte-integrale-1.7.3b-3.fc26, libfplll-5.0.3-1.fc26, libgap-4.8.6-1.fc26, linbox-1.4.2-7.fc26, normaliz-3.1.4-1.fc26, ntl-10.3.0-1.fc26, octave-4.2.1-2.fc26, openms-2.1.0-7.20170131gitbde813.fc26, polymake-3.1-2.fc26, pynac-0.7.3-1.fc26, python-cvxopt-1.1.9-4.fc26, sagemath-7.5.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.